﻿Add-PSSnapin VMware.VimAutomation.Core
If ($globale:DefaultVIServers ) {
	Disconnect-VIServer -Server $global:DefaultVIServers -Force
	}

$sourceVI = Read-Host "Please enter name or IP address of the source Server"
$datacenter = Read-Host "DataCenter name in VC"
$creds = get-credential
connect-viserver -server $sourceVI -Credential $creds


$report = @()
$vms = Get-VM

Foreach( $vm in $vms) {

	$RPool = Get-ResourcePool -VM $vm.Name
	
	$row = "" | Select VMname,  RPoolName
	$row.VMname = $vm.Name
	$row.RPoolName = $RPool.Name
	$report += $row
	
	}

$report | Export-Csv "c:\csv-files\02-$($datacenter)-resourcepools-with-vms.csv" -NoTypeInformation





